Package net.snowflake.client.core

## Class SFFixedViewResultSet

- java.lang.Object
- - net.snowflake.client.core.SFBaseResultSet
  - - net.snowflake.client.core.SFJsonResultSet
    - - net.snowflake.client.core.SFFixedViewResultSet

    public class SFFixedViewResultSet
    extends SFJsonResultSet

Fixed view result set. This class iterates through any fixed view implementation and return the objects as rows

### Field Summary

### Fields inherited from class net.snowflake.client.core.SFJsonResultSet

`converters`

### Fields inherited from class net.snowflake.client.core.SFBaseResultSet

`isClosed, metaDataOfBinds, numberOfBinds, OBJECT_MAPPER, parameters, resultSetMetaData, resultSetSerializable, resultVersion, row, session, sessionTimeZone`

### Constructor Summary

Constructors
`SFFixedViewResultSet​(SnowflakeFixedView fixedView, SFBaseFileTransferAgent.CommandType commandType, String queryID)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`protected Object` `getObjectInternal​(int columnIndex)` Given a column index, get current row's value as an object
`String` `getQueryId()`
`SFStatementType` `getStatementType()`
`boolean` `isAfterLast()`
`boolean` `isLast()`
`boolean` `next()` Advance to next row
`void` `setStatementType​(SFStatementType statementType)`

### Methods inherited from class net.snowflake.client.core.SFJsonResultSet

`convertToDate, convertToTime, convertToTimestamp, createSqlInputForColumn, getArray, getBigDecimal, getBigDecimal, getBoolean, getByte, getBytes, getConverters, getDate, getDate, getDouble, getFloat, getInt, getLong, getObject, getShort, getString, getTime, getTimestamp`

### Methods inherited from class net.snowflake.client.core.SFBaseResultSet

`absolute, convertStringToDate, convertStringToTime, convertStringToTimestamp, createJsonSqlInputForColumn, getJsonArray, getMetaData, getMetaDataOfBinds, getNumberOfBinds, getResultSetSerializables, getRow, getSession, getSessionTimezone, getSessionTimeZone, isArrayBindSupported, isBeforeFirst, isClosed, isFirst, previous, relative, setSession, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SFFixedViewResultSet

    public SFFixedViewResultSet​(SnowflakeFixedView fixedView,
                                SFBaseFileTransferAgent.CommandType commandType,
                                String queryID)
                         throws SnowflakeSQLException

Throws:
  `SnowflakeSQLException`

### Method Detail

#### next

    public boolean next()
                 throws SFException

Advance to next row

Overrides:
  `next` in class `SFBaseResultSet`
Returns:
  true if next row exists, false otherwise
Throws:
  `SFException` - if failed to get next row

#### getObjectInternal

    protected Object getObjectInternal​(int columnIndex)
                                throws SFException

Description copied from class: `SFJsonResultSet`
Given a column index, get current row's value as an object

Specified by:
  `getObjectInternal` in class `SFJsonResultSet`
Parameters:
  `columnIndex` - index of columns
Returns:
  an object
Throws:
  `SFException` - raises if any error occurs

#### close

    public void close()
               throws SnowflakeSQLException

Overrides:
  `close` in class `SFBaseResultSet`
Throws:
  `SnowflakeSQLException`

#### getStatementType

    public SFStatementType getStatementType()

Specified by:
  `getStatementType` in class `SFBaseResultSet`

#### setStatementType

    public void setStatementType​(SFStatementType statementType)
                          throws SQLException

Specified by:
  `setStatementType` in class `SFBaseResultSet`
Throws:
  `SQLException`

#### isLast

    public boolean isLast()

Specified by:
  `isLast` in class `SFBaseResultSet`

#### isAfterLast

    public boolean isAfterLast()

Specified by:
  `isAfterLast` in class `SFBaseResultSet`

#### getQueryId

    public String getQueryId()

Specified by:
  `getQueryId` in class `SFBaseResultSet`